phpBB encountered an error building the container

Get help with installation and running phpBB 3.3.x here. Please do not post bug reports, feature requests, or extension related questions here.
Post Reply
KillRoy0045
Registered User
Posts: 1
Joined: Wed Mar 25, 2020 7:16 pm

phpBB encountered an error building the container

Post by KillRoy0045 »

Hello, I just finished upgrading from 3.2.1 to 3.3.0, following your install instructions in community/docs. Our clan does not have any experienced IT people so I took this on. The file load/install went well up to the error below. I have no idea what to do from here. I looked through the forums and found similar issues but nothing with this particular error so I apologize if I am duplicating. I appreciate any help.

phpBB encountered an error building the container due to an installed extension. For this reason, all extensions have been temporarily disabled. Please try purging your forum cache. All extensions will automatically be re-enabled once the container error is resolved. If this error continues, please visit phpBB.com for support.

Code: Select all

Exception: The file "/usr/www/brats/public/forums1/ext/board3/portal/config/services.yml" does not contain valid YAML: The reserved indicator "@" cannot start a plain scalar; you need to quote the scalar at line 12 (near "- @board3.portal.columns").

#0 /usr/www/brats/public/forums1/vendor/symfony/dependency-injection/Loader/YamlFileLoader.php(117): Symfony\Component\DependencyInjection\Loader\YamlFileLoader->loadFile('/usr/www/brats/...')
#1 /usr/www/brats/public/forums1/phpbb/extension/di/extension_base.php(99): Symfony\Component\DependencyInjection\Loader\YamlFileLoader->load('services.yml')
#2 /usr/www/brats/public/forums1/phpbb/extension/di/extension_base.php(63): phpbb\extension\di\extension_base->load_services(Object(Symfony\Component\DependencyInjection\Compiler\MergeExtensionConfigurationContainerBuilder))
#3 /usr/www/brats/public/forums1/vendor/symfony/dependency-injection/Compiler/MergeExtensionConfigurationPass.php(71): phpbb\extension\di\extension_base->load(Array, Object(Symfony\Component\DependencyInjection\Compiler\MergeExtensionConfigurationContainerBuilder))
#4 /usr/www/brats/public/forums1/vendor/symfony/http-kernel/DependencyInjection/MergeExtensionConfigurationPass.php(39): Symfony\Component\DependencyInjection\Compiler\MergeExtensionConfigurationPass->process(Object(Symfony\Component\DependencyInjection\ContainerBuilder))
#5 /usr/www/brats/public/forums1/vendor/symfony/dependency-injection/Compiler/Compiler.php(140): Symfony\Component\HttpKernel\DependencyInjection\MergeExtensionConfigurationPass->process(Object(Symfony\Component\DependencyInjection\ContainerBuilder))
#6 /usr/www/brats/public/forums1/vendor/symfony/dependency-injection/ContainerBuilder.php(789): Symfony\Component\DependencyInjection\Compiler\Compiler->compile(Object(Symfony\Component\DependencyInjection\ContainerBuilder))
#7 /usr/www/brats/public/forums1/phpbb/di/container_builder.php(203): Symfony\Component\DependencyInjection\ContainerBuilder->compile()
#8 /usr/www/brats/public/forums1/common.php(115): phpbb\di\container_builder->get_container()
#9 /usr/www/brats/public/forums1/adm/index.php(23): require('/usr/www/brats/...')
#10 {main}

User avatar
warmweer
Jr. Extension Validator
Posts: 4287
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Bel ... gium

Re: phpBB encountered an error building the container

Post by warmweer »

The message is clear: the yaml file is not valid for phpBB3.3 . You need to check all your extension for compatibility with 3.3 (check the extension topics). Replace the outdated extensions with updated ones, and disable, delete data, remove the incompatible ones.
It may not be easy to that on your current 3.3.0.
Don't waste too much time on it and revert to your 3.2.1 and remove the incompatible extensions before upgrading.
We should embrace problems, without which there wouldn't be any solutions.

User avatar
Elias
Registered User
Posts: 4749
Joined: Sat Feb 25, 2006 4:31 pm
Location: In the Water!
Name: Elias

Re: phpBB encountered an error building the container

Post by Elias »

KillRoy0045 wrote:
Wed Mar 25, 2020 7:30 pm
following your install instructions in community/docs.
Must of skipped step 5?
https://www.phpbb.com/support/docs/en/3 ... upgrade32/

Thanks
"Mystery creates wonder, and wonder is the basis of man's desire to understand." - Neil Armstrong
|Installing Extensions|Writing Extensions|Extension Validation Policy|

Post Reply

Return to “[3.3.x] Support Forum”